version: 1
default_environment: dev
project_id: 295995e6-acae-497a-9adb-026fe7f200ec
plugins:
  extractors:
  - name: tap-gitlab
    variant: meltanolabs
    pip_url: git+https://github.com/MeltanoLabs/tap-gitlab.git
  - name: tap-quickbase
    namespace: tap_quickbase
    pip_url: tap-quickbase
    executable: tap-quickbase
    capabilities:
    - catalog
    - discover
    settings:
    - name: qb_url
    - name: qb_appid
    - name: qb_user_token
      kind: password
    - name: start_date
      kind: date_iso8601
  loaders:
  - name: target-bigquery
    variant: adswerve
    pip_url: git+https://github.com/adswerve/target-bigquery.git@0.11.3
environments:
- name: dev
  config:
    plugins:
      extractors:
      - name: tap-gitlab
        config:
          projects: meltano/meltano meltano/tap-gitlab
          start_date: '2021-03-01T00:00:00Z'
        select:
        - tags.*
        - projects.*
      - name: tap-quickbase
        config:
          qb_url: https://etagen.quickbase.com/db/
          qb_appid: bnjiec2we
          start_date: '2020-01-01T00:00:01Z'
        select:
          - etahub__lgen.*
      loaders:
      - name: target-bigquery
        config:
          project_id: mse-user-sterling-1
          dataset_id: overrideme
- name: staging
- name: prod
